arm:
  arm_state_controller:
    type: joint_state_controller/JointStateController
    publish_rate: 100

  shoulder_swivel:
    type: effort_controllers/JointPositionController
    joint: shoulder_swivel
    pid: { p: 450, i: 0.01, d: 50, i_clamp: 1 }
  shoulder_updown:
    type: effort_controllers/JointPositionController
    joint: shoulder_updown
    pid: { p: 450, i: 10, d: 60, i_clamp: 30000 }
  elbow:
    type: effort_controllers/JointPositionController
    joint: elbow
    pid: { p: 225, i: 10, d: 40, i_clamp: 30000 }
  wrist_updown:
    type: effort_controllers/JointPositionController
    joint: wrist_updown
    pid: { p: 20, i: 0.01, d: 8, i_clamp: 1 }
  wrist_swivel:
    type: effort_controllers/JointPositionController
    joint: wrist_swivel
    pid: { p: 20, i: 0.01, d: 8, i_clamp: 1 }
  pinchy_left:
    type: effort_controllers/JointPositionController
    joint: pinchy_left
    pid: { p: 20, i: 0.01, d: 8, i_clamp: 1 }
  pinchy_right:
    type: effort_controllers/JointPositionController
    joint: pinchy_right
    pid: { p: 20, i: 0.01, d: 8, i_clamp: 1 }
